<?
define('PROTECTOR', 1);

$head = 'main';//фикс. места
if($_GET[go]=="hp"){
$header=TRUE;
}else{
$textl='Добро пожаловать!';}
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
$set[prim]="off";
@include($path.'files/zag.php');

if($udata[lvl]>=1 and $udata[lvl]<=10){$bon=10;}
if($udata[lvl]>10 and $udata[lvl]<=20){$bon=50;}
if($udata[lvl]>20 and $udata[lvl]<=30){$bon=100;}
if($udata[lvl]>30 and $udata[lvl]<=40){$bon=200;}
if($udata[lvl]>40 and $udata[lvl]<=50){$bon=300;}
if($udata[lvl]>50 and $udata[lvl]<=60){$bon=400;}
if($udata[lvl]>60 and $udata[lvl]<=71){$bon=500;}

switch($_GET[go]){
default:
echo'<div class ="a"><b>Таверна</b></div><div class="menu"><div class ="a"><img src="/pic/game/taver.jpg" alt="*"/></div></div>
<b>'.$log.'</b>, Приветствую тебя! Ты можешь отдохнуть, восстановить силы, а потом отправится на задание<br/>
<br/>';
if($udata[hp]<$udata[hpall]){
echo"<font color='#71cc71'> Желаете отдохнуть и исцелиться за <img src='pic/bazar.gif' alt='*'/> $bon ?<br/></font>";
echo"<img src='pic/yes.png' alt='*'/><a href='start.php?go=hp'> Да</a><br/><br/>";}
echo"<font color='#ffc22b'> <b>Задания:</b></font><br/><font color='#FF6633'>Заданий пока нет.<br/><br/></font>";
echo"<font color='#ffc22b'> <b>Приключения:</b></font><br/><ul class='nav'>";
echo'<li><a href="dost.php?"> <img src="pic/game/dost.png" alt="*"/> Достижения</a></li>';
echo'<li><a href="bitva.php?"> <img src="pic/main/zver.png" alt="*"/> Сражения</a></li>'; 
echo'<li><a href="boss.php?"> <img src="pic/game/boss.png" alt="*"/> Боссы</a></li> ';
echo'<li><a href="duel.php?"> <img src="pic/main/duel.png" alt="*"/> Дуэли</a></li> ';
echo'<li><a href="towers.php?mod=outtower"> <img src="pic/main/def.png" alt="*"/> Башни</a>';
echo'</li><li><a href="arena.php?"> <img src="pic/main/red_warrior.png" alt="*"/> Арена</a></li></ul>';
break;

case 'hp':
if($udata[money]-$bon<0){
header ("Location: start.php?go=no");exit;
}else{
if($udata[lvl]>=1 and $udata[lvl]<=10){$bon=10;}
if($udata[lvl]>10 and $udata[lvl]<=20){$bon=50;}
if($udata[lvl]>20 and $udata[lvl]<=30){$bon=100;}
if($udata[lvl]>30 and $udata[lvl]<=40){$bon=200;}
if($udata[lvl]>40 and $udata[lvl]<=50){$bon=300;}
if($udata[lvl]>50 and $udata[lvl]<=60){$bon=400;}
if($udata[lvl]>60 and $udata[lvl]<=71){$bon=500;}
mysql_query("UPDATE `users` SET `hp` = '$udata[hpall]',`mp` = '$udata[mpall]',`money`='$udata[money]'-'$bon' WHERE `usr`='$log'");
header ("Location: start.php?go=rest");exit;
}
break;

case 'no':
echo"<img src='pic/no.png' alt='*'/><font color='#71cc71'> К сожелению, не хватает монет.</font><br/>";
echo"<a href=\"start.php?\"> Продолжить »</a> ";
break;

case 'rest':
echo"<img src='pic/yes.png' alt='*'/><font color='#71cc71'>  Здоровье и энергия восстановлены, заходите ещё</font><br/>";
echo"<a href=\"start.php?\"> Продолжить »</a> ";
break;
}
@include($path.'files/down.php');
?>